@echo OFF
rem  * *******************************************************************
rem  *               CBLDATE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read a file of Date Cards, edit date, write output.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read an 80-byte file that contains DATECARD
rem  * information. The job will also write a file containing the results
rem  * of the date edit functions..
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Net Express.
rem  *
rem  *    ************
rem  *    * CblDatE1 *
rem  *    ********cmd*
rem  *         *
rem  *         *
rem  *    ************     ************     ************
rem  *    *   run    ******* SIMONOTE ******* CONSOLE  *
rem  *    *******mifo*  *  ********cmd*  *  ************
rem  *         *        *                *
rem  *         *        *                *  ************
rem  *         *        *                ****  SYSLOG  *
rem  *         *        *                   ********txt*
rem  *         *        *
rem  *         *        **************************
rem  *         *                                 *
rem  *         *           ************     ************     ************
rem  *         *           *  SYSUT1  ******* CblDatC1 *******  SYSUT2  *
rem  *         *           ********txt*     ********cbl*     ********csv*
rem  *         *
rem  *    ************
rem  *    *   EOJ    *
rem  *    ************
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables,
rem  *                Delete any previously created file...
rem  *
     set CmdName=CBLDATE1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
:DeleteQSAM
     call SimoNOTE "Identify CmdStep DeleteQSAM"
     set SYSUT1=%BaseLib1%\DATA\Asc1\DATECARD.DAT
     set SYSUT2=%BaseLib1%\DATA\Wrk1\DATELIST.DAT
     if exist %SYSUT2% del %SYSUT2%
rem  *
rem  * *******************************************************************
rem  * Step   2   Edit input, create a new output file...
rem  *
:ExecuteDateRoutine
     call SimoNOTE "Identify CmdStep ExecuteDateRoutine"
     run CBLDATC1
     if exist %SYSUT2% call SimoNOTE "Produced DataSet %SYSUT2%"
rem  * *******************************************************************
rem  * Step   3 of 3  ConvertRecord Sequential File to ASCII/TEXT file...
rem  *
     call SimoNOTE "Identify JobStep Convert Line Sequential to Record Sequential"
     set GETRS080=%BaseLib1%\DATA\Wrk1\DATELIST.DAT
     set PUTLS080=%BaseLib1%\DATA\TXT1\DATELIST.TXT
     if exist %PUTLS080% del %PUTLS080%
     run CV80ARAL
     if exist %PUTLS080% call SimoNOTE "Produced DataSet %PUTLS080%"
     call SimoNOTE "Finished CmdName %CmdName%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
