@echo OFF
rem  * *******************************************************************
rem  *               CBLDATE2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using IEBGENER.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The first job step (DeleteQSAM) will delete any previously created
rem  * file. The second job step (CreateQSAM) will create a new file.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables,
rem  *                Delete any previously created file...
rem  *
     set CmdName=CBLDATE2
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************%CmdName%
     call SimoNOTE "Starting CmdName %CmdName%"
     call SimoNOTE "Identify CmdStep DeleteLSEQ"
     set DATECARD=%BaseLib1%\DATA\Txt1\DATECARD.TXT
     if exist %DATECARD% del %DATECARD%
rem  *
rem  * *******************************************************************
rem  * Step   2 of 3  Create and populate a new QSAM file...
rem  *
:CreateLSEQ
     call SimoNOTE "Identify CmdStep CreateQSAM"
rem  *....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
echo DATECARD 19761124                         >%DATECARD%
echo DATECARD 20000401                        >>%DATECARD%
echo DATECARD 20001315                        >>%DATECARD%
echo DATECARD 2001/01/01                      >>%DATECARD%
echo DATECARD 1999-01-32                      >>%DATECARD%
echo DATECARD 1999-02/15                      >>%DATECARD%
echo DATECARD 1968-07/31                      >>%DATECARD%
echo DATECARD 2001/06/31                      >>%DATECARD%
echo DATECARD 1998/9/15                       >>%DATECARD%
echo DATECARD 2004/10/7                       >>%DATECARD%
echo DATECARD 1600/04/01                      >>%DATECARD%
echo DATECARD 1700/05/01                      >>%DATECARD%
     if exist %DATECARD% call SimoNOTE "Produced DataSet %DATECARD%
     if not exist %DATECARD% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  * *******************************************************************
rem  * Step   3 of 3  ConvertASCII/TEXT file to Record Sequential File...
rem  *
     call SimoNOTE "Identify JobStep Convert Line Sequential to Record Sequential"
     set GETLS080=%DATECARD%
     set PUTRS080=%BaseLib1%\DATA\Asc1\DATECARD.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if exist %PUTRS080% call SimoNOTE "Produced DataSet %PUTRS080%"
     if not exist %PUTRS080% set JobStatus=9002
     if not %JobStatus% == 0000 goto :EojNok
rem  * *******************************************************************
rem  * Step   3 of 3  ConvertASCII/TEXT file to Record Sequential File...
rem  *
     call SimoNOTE "Identify JobStep Convert Line Sequential to Record Sequential"
     set GETLS080=%DATECARD%
     set PUTRS080=%BaseLib1%\DATA\Ebc1\DATECARD.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALER
     if exist %PUTRS080% call SimoNOTE "Produced DataSet %PUTRS080%"
     if not exist %PUTRS080% set JobStatus=9002
     if not %JobStatus% == 0000 goto :EojNok
rem  *
:EojAok
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING JobName %JobName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
